<?php
/**
 * YoviSun个人定制插件
 * 
 * @package YoviSunCustom
 * @author YoviSun
 * @version 1.2.0
 * @update 2013.04.20
 * @link http://www.yovisun.com
 *
 */
class YoviSunCustom_Plugin implements Typecho_Plugin_Interface
{
    /**
     * 激活插件方法,如果激活失败,直接抛出异常
     * 
     * @access public
     * @return void
     * @throws Typecho_Plugin_Exception
     */
    public static function activate(){    
    	/*
        Typecho_Plugin::factory('Widget_Feedback')->comment = array('CommentFilter_Plugin', 'filter');
				return _t('评论过滤器启用成功，请配置需要过滤的内容');
				*/
      return _t('YoviSun个人定制查看启动成功，请进行 <a href="options-plugin.php?config=YoviSunCustom">配置</a>');
    }
    
    /**
     * 禁用插件方法,如果禁用失败,直接抛出异常
     * 
     * @static
     * @access public
     * @return void
     * @throws Typecho_Plugin_Exception
     */
    public static function deactivate(){}
    
    /**
     * 获取插件配置面板
     * 
     * @access public
     * @param Typecho_Widget_Helper_Form $form 配置面板
     * @return void
     */
    public static function config(Typecho_Widget_Helper_Form $form)	{
        $post_con_ad = new Typecho_Widget_Helper_Form_Element_Radio('post_con_ad', array("0" => "关闭", "1" => "打开"), "0",
			_t('文章页广告显示'), "是否在文章也显示广告");
        $form->addInput($post_con_ad);
        
        
        $sider_ad = new Typecho_Widget_Helper_Form_Element_Radio('sider_ad', array("0" => "关闭", "1" => "打开"), "0",
			_t('侧边栏广告显示'), "是否在侧边栏显示广告");
        $form->addInput($sider_ad);
        
        $notice = new Typecho_Widget_Helper_Form_Element_Textarea('notice', NULL, NULL, _t('公告'), _t('右边栏顶部公告'));
        $form->addInput($notice);
        
        
        $note1 = new Typecho_Widget_Helper_Form_Element_Textarea('note1', NULL, NULL, _t('临时记录1'), _t('临时记录一些内容，便于查阅'));
        $form->addInput($note1);
        
        $note2 = new Typecho_Widget_Helper_Form_Element_Textarea('note2', NULL, NULL, _t('临时记录2'), _t('临时记录一些内容，便于查阅'));
        $form->addInput($note2);
        
        
        echo "<form action='http://new.cnzz.com/v1/login.php?t=login&siteid=' method='post' name='form' target='_blank'>\n";
        echo "<input name='password' type='hidden' value='' />\n";
        echo "<button type='submit'>查看网站统计</button>\n";
        echo "</form>\n";
        
    }
    
    /**
     * 个人用户的配置面板
     * 
     * @access public
     * @param Typecho_Widget_Helper_Form $form
     * @return void
     */
    public static function personalConfig(Typecho_Widget_Helper_Form $form){}


    /**
     * 显示右边栏公告
     *
     * 语法: YoviSunCustom_Plugin::showNotice();
     * 函数需要参数
     *
     *
     * @access public
     * @return string        html代码
     */
    public static function showNotice(){
    	$options = Typecho_Widget::widget('Widget_Options');
	$config_set = $options->plugin('YoviSunCustom');
        return $config_set->notice;
    }
         
         
    /**
     * 是否显示广告
     *
     * 语法: YoviSunCustom_Plugin::isAbleAd();
     * 函数需要参数
     *
     *
     * @access public
     * @param string  $type   广告类型(目前有"post","sider"，表示文章页的广告和右边栏的广告，其它参数均输出不输出广告)
     * @return boolean        是否显示广告，true显示，false不显示
     */
    public static function isAbleAd($type){
        $options = Typecho_Widget::widget('Widget_Options');
				$config_set = $options->plugin('YoviSunCustom');
				$result = false;
				switch ($type)
				{
					case "post":
						if($config_set->post_con_ad == 1){
							$result = true;
						}else{
							$result = false;
						}
					  break;
					case "sider":
					  if($config_set->sider_ad == 1){
							$result = true;
						}else{
							$result = false;
						}
					  break;
					default:
					  $result = false;
				}
				return $result;
	 }
}